﻿.modal {
    /* This way it could be display flex or grid or whatever also. */
    display: block;
    /* Probably need media queries here */
    /*width: 600px;
  max-width: 100%;*/
    width: 95%;
    min-width: 300px;
    /* height: 400px;
  max-height: 100%; */
    /* height: 95%;*/
    min-height: 200px;
    height: 95%;
    max-height: 5000px;
    border-radius: 10px;
    position: fixed;
    z-index: 100;
    left: 50%;
    top: 50%;
    /* Use this for centering if unknown width/height */
    transform: translate(-50%, -50%);
    /* If known, negative margins are probably better (less chance of blurry text). */
    /* margin: -200px 0 0 -200px; */
    background: white;
    box-shadow: 0 0 60px 10px rgba(0, 0, 0, 0.9);
}

@media only screen and (max-width:320px) {
    .modal {
        width: 100%;
        height: 100%;
    }
}

.closed {
    display: none;
}

.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 50;
    background: rgba(0, 0, 0, 0.6);
}

.modal-guts {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    /*height: 100%;*/
    height: 100%;
    /* overflow: auto;*/
    padding: 10px 10px 10px 10px;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/* ul {
        margin: 10px 0 10px 30px;
    }*/

li, p {
    margin: 0 0 10px 0;
}

h3 {
    margin: 0 0 20px 0;
}

.modal .close-button {
    position: relative;
    /* don't need to go crazy with z-index here, just sits over .modal-guts */
    z-index: 1;
    top: 10px;
    /* needs to look OK with or without scrollbar */
    /*
    right: 20px;
    border: 2px solid;
    border-color: #00A7CE;
    background: white;
    color: #00A7CE;
    padding: 5px 10px;
    font-size: 1.3rem;
    border-radius: 10px;
        */
    -webkit-transition-duration: 0.4s; /* Safari */
    transition-duration: 0.4s;
    float: right;
    padding: 1px 3px;
    color: #2EA8D1;
    min-width: 40px;
    display: inline-block;
    text-align: center;
    font-size: 14px;
    line-height: 14px;
    font-weight: 600;
    cursor: pointer;
}

    .modal .close-button:hover {
        color: #2488aa;
    }

@media only screen and (min-width:700px) {
    #open-button {
        position: relative;
        left: 0px;
        top: 0px;
    }

    .clearfilters {
        position: relative;
        left: 0px;
        top: 0px;
    }
}

@media only screen and (min-width:320px) {
    #open-button {
        margin-top: 25px;
    }

    .clearfilters {
        margin-top: 25px;
    }
}

@media only screen and (min-width:700px) {
    #open-button {
        margin-top: 10px;
    }

    .clearfilters {
        margin-top: 10px;
    }
}

.open-button {
    background-color: white;
    color: black;
    border: 2px solid #00A7CE;
    padding: 5px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    margin: 4px 2px;
    -webkit-transition-duration: 0.4s; /* Safari */
    transition-duration: 0.4s;
    cursor: pointer;
    border-radius: 10px;
}

.open-button {
    -webkit-transition-duration: 0.4s; /* Safari */
    transition-duration: 0.4s;
}

    .open-button:hover {
        background-color: #00A7CE;
        color: white;
    }

body {
    margin: 0;
    padding: 0;
    font-family: "Lucida Grande",Helvetica,Arial,Verdana,sans-serif;
    font-size: 14px;
}

/*#calendar {
    margin: 50px auto;
}*/

/*.divcaldatespan {
    position: absolute;
    top: 10px;
    width: 100%;
    left: 10px;
    height: 10px;
}*/

/*odalbuttonsdiv {
    position: absolute;
    bottom: 0;
        box-sizing: border-box;
         border: medium;

    width: auto;
    height: auto;
    z-index: 1;
    font-size: 12px;
    font-family: tahoma;
    height: auto;
    width: auto;
    margin: auto;
    margin-top: 0px;
    margin-right: auto;
    margin-bottom: 0px;
    margin-left: auto;
     border: 1px solid #ccc;
    color: #555;
    background-color: rgba(255,255,255,0.9);
    display: block;
    padding: 5px;
    text-decoration: none;
    position: relative;
    left: 5px;
    bottom: 10px;

    z-index: 99;
    border-radius: 17px;

    -webkit-border-radius: 17px;
    -moz-border-radius: 17px;
}

    .modalbuttonsdiv > .cancelbutton {
        width: 48%;
    }
    .modalbuttonsdiv > .sigbookvenuenow {
        width: 48%;
    }*/

/*Additional Styles*/
/*.fc-view-container > div > table {
    table-layout: auto !Important;
}*/
/*#calendar > div.fc-view-container > div > table > thead > tr > td.fc-time-area.fc-widget-header {
    width: 100%;
}

.fc-view-container > div > table > tbody > tr > td.fc-time-area.fc-widget-content {
    width: 100%;
}*/

/*.fc-content > table {
    table-layout: auto !Important;
}*/

/*New version*/
.fc-timelineDay-view > table.table-bordered {
    table-layout: auto !Important;
}

/*.fc-content > div > table {
    table-layout: auto !Important;
}*/

/* SHADE DAYS IN THE PAST */
td.fc-day.fc-past {
    background-color: #EEEEEE;
}

.fc-view-container {
    /*overflow-x: scroll !Important;*/
}

/* From Download CSS Style for Full Calendar */
/* Full calendar fixes */

.fc {
    direction: ltr;
    text-align: left;
}

    .fc table {
        border-collapse: collapse;
        border-spacing: 0;
        /*width: auto !important;*/
    }

.fc-resource-area table {
    width: auto !important;
}



/*Button override*/
/*edia only screen and (min-width:700px){
	.fc .btn {
        min-width:0 !Important;
        padding:10px;
        height:auto;
    }
}
    .fc .btn {
        line-height: 1.2em;
    }
*/
html .fc {
    font-size: 1em;
}

.fc table {
    font-size: 1em;
}

.fc td, .fc th {
    padding: 1px;
    vertical-align: top;
}

.fc-header td {
    white-space: nowrap;
}

.fc-header-left {
    width: 25%;
    text-align: left;
}

.fc-header-center {
    text-align: center;
}

.fc-header-right {
    width: 25%;
    text-align: right;
}

.fc-header-title {
    display: inline-block;
    vertical-align: top;
}

    .fc-header-title h2 {
        margin-top: 0;
        white-space: nowrap;
    }

.fc .fc-header-space {
    padding-left: 10px;
}

.fc-header .fc-button {
    margin-bottom: 1em;
    vertical-align: top;
    margin-right: -1px;
}

.fc-header .fc-corner-right {
    margin-right: 1px;
}

.fc-header .ui-corner-right {
    margin-right: 0;
}

.fc-header .fc-state-hover, .fc-header .ui-state-hover {
    z-index: 2;
}

.fc-header .fc-state-down {
    z-index: 3;
}

.fc-header .fc-state-active, .fc-header .ui-state-active, .fc-header .ui-state-down {
    z-index: 4;
    background-color: #e6e6e6;
    background-color: #d9d9d9;
    background-image: none;
    outline: 0;
    -webkit-box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.15), 0 1px 2px rgba(0, 0, 0, 0.05);
    -moz-box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.15), 0 1px 2px rgba(0, 0, 0, 0.05);
    box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.15), 0 1px 2px rgba(0, 0, 0, 0.05);
}

.fc-content {
    clear: both;
}

/*Horizontal Scroll*/
.fc-view {
    width: 100%;
    overflow: auto;
}

fc-scroller-clip {
    overflow: auto !Important;
}

.fc .ui-widget-header {
    border-color: #dddddd;
    padding: 4px 0;
}

thead th.fc-first {
    border-top-left-radius: 5px;
    -moz-border-top-left-radius: 5px;
    -webkit-border-top-left-radius: 5px;
}

thead th.fc-last {
    border-top-right-radius: 5px;
    -moz-border-top-right-radius: 5px;
    -webkit-border-top-right-radius: 5px;
}

.fc-state-highlight {
    background: #ffffcc;
}

.ui-state-highlight.fc-today {
    background: #f4f4f4;
    margin: 2px !important;
    border: 0;
    border-left: 1px solid #dddddd;
    border-radius: 0;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
}

.fc-cell-overlay {
    background: #99ccff;
    opacity: 0.2;
    filter: alpha(opacity=20);
}

.fc-button {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

.fc-state-default {
    border-style: solid;
    border-width: 1px 0;
}

.fc-button-inner {
    position: relative;
    float: left;
    overflow: hidden;
}

.fc-state-default .fc-button-inner {
    border-style: solid;
    border-width: 0 1px;
}

.fc-button-content {
    position: relative;
    float: left;
    height: 1.9em;
    line-height: 1.9em;
    padding: 0 0.6em;
    white-space: nowrap;
}

    .fc-button-content .fc-icon-wrap {
        position: relative;
        float: left;
        top: 50%;
    }

    .fc-button-content .ui-icon {
        position: relative;
        float: left;
        margin-top: -50%;
        *margin-top: 0;
        *top: -50%;
    }

.fc-state-default {
    border-style: solid;
    border-color: #cccccc #bbbbbb #aaaaaa;
    background: #f3f3f3;
    color: black;
}

    .fc-state-default .fc-button-effect {
        position: absolute;
        top: 50%;
        left: 0;
    }

        .fc-state-default .fc-button-effect span {
            position: absolute;
            top: -100px;
            left: 0;
            width: 500px;
            height: 100px;
            border-width: 100px 0 0 1px;
            border-style: solid;
            border-color: white;
            background: #444444;
            opacity: 0.09;
            filter: alpha(opacity=9);
        }

    .fc-state-default .fc-button-inner {
        border-style: solid;
        border-color: #cccccc #bbbbbb #aaaaaa;
        background: #f3f3f3;
        color: black;
    }

.fc-state-hover {
    border-color: #999999;
}

    .fc-state-hover .fc-button-inner {
        border-color: #999999;
    }

.fc-state-down {
    border-color: #555555;
    background: #777777;
}

    .fc-state-down .fc-button-inner {
        border-color: #555555;
        background: #777777;
    }

.fc-state-active {
    border-color: #555555;
    background: #777777;
    color: white;
}

    .fc-state-active .fc-button-inner {
        border-color: #555555;
        background: #777777;
        color: white;
    }

.fc-state-disabled {
    color: #999999;
    border-color: #dddddd;
    cursor: default;
}

    .fc-state-disabled .fc-button-inner {
        color: #999999;
        border-color: #dddddd;
    }

    .fc-state-disabled .fc-button-effect {
        display: none;
    }

.fc-event {
    border-style: solid;
    border-width: 0;
    font-size: 0.85em;
    cursor: default;
}

a.fc-event, .fc-event-draggable {
    cursor: pointer;
}

a.fc-event {
    text-decoration: none;
}

.fc-rtl .fc-event {
    text-align: right;
}

.fc-event-skin {
    border: 0;
    background-color: #3366cc;
    color: white;
}

.fc-event-inner {
    position: relative;
    width: 100%;
    height: 100%;
    border-style: solid;
    border-width: 0;
    overflow: hidden;
}

.fc-event-time, .fc-event-title {
    padding: 0 1px;
}

.fc .ui-resizable-handle {
    display: block;
    position: absolute;
    z-index: 99999;
    overflow: hidden;
}

.fc-event-hori {
    border-width: 1px 0;
    margin-bottom: 1px;
}

    .fc-event-hori .ui-resizable-e {
        top: 0 !important;
    }

    .fc-event-hori .ui-resizable-w {
        top: 0 !important;
        left: -3px !important;
        width: 7px !important;
        height: 100% !important;
        cursor: w-resize;
    }

    .fc-event-hori .ui-resizable-handle {
        _padding-bottom: 14px;
    }

table.fc-border-separate {
    border-collapse: separate;
}

.fc-border-separate th, .fc-border-separate td {
    border-width: 1px 0 0 1px;
}

    .fc-border-separate th.fc-last, .fc-border-separate td.fc-last {
        border-right-width: 1px;
    }

.fc-border-separate tr.fc-last th, .fc-border-separate tr.fc-last td {
    border-bottom-width: 1px;
}

.fc-border-separate tbody tr.fc-first td, .fc-border-separate tbody tr.fc-first th {
    border-top-width: 0;
}

.fc-grid th {
    text-align: center;
}

.fc-grid .fc-day-number {
    float: right;
    padding: 0 2px;
}

.fc-grid .fc-other-month .fc-day-number {
    opacity: 0.3;
    filter: alpha(opacity=30);
}

.fc-rtl .fc-grid .fc-day-number {
    float: left;
}

.fc-rtl .fc-grid .fc-event-time {
    float: right;
}

.fc-agenda table {
    border-collapse: separate;
}

.fc-agenda-days th {
    text-align: center;
}

.fc-agenda .fc-agenda-axis {
    width: 50px;
    padding: 0 4px;
    vertical-align: middle;
    text-align: right;
    white-space: nowrap;
    font-weight: normal;
}

.fc-agenda .fc-day-content {
    padding: 2px 2px 1px;
}

.fc-agenda-days .fc-agenda-axis {
    border-right-width: 1px;
}

.fc-agenda-days .fc-col0 {
    border-left-width: 0;
}

.fc-agenda-allday th {
    border-width: 0 1px;
}

.fc-agenda-allday .fc-day-content {
    min-height: 34px;
}

.fc-agenda-divider-inner {
    height: 2px;
    overflow: hidden;
}

.fc-widget-header .fc-agenda-divider-inner {
    background: #eeeeee;
}

.fc-agenda-slots th {
    border-width: 1px 1px 0;
}

.fc-agenda-slots td {
    border-width: 1px 0 0;
    background: none;
}

    .fc-agenda-slots td div {
        height: 20px;
    }

.fc-agenda-slots tr.fc-slot0 th, .fc-agenda-slots tr.fc-slot0 td {
    border-top-width: 0;
}

.fc-agenda-slots tr.fc-minor th, .fc-agenda-slots tr.fc-minor td {
    border-top-style: dotted;
}

    .fc-agenda-slots tr.fc-minor th.ui-widget-header {
        *border-top-style: solid;
    }

.fc-event-vert {
    border-width: 0 1px;
}

    .fc-event-vert .fc-event-head, .fc-event-vert .fc-event-content {
        position: relative;
        z-index: 2;
        width: 100%;
        overflow: hidden;
    }

    .fc-event-vert .fc-event-time {
        white-space: nowrap;
        font-size: 10px;
    }

.fc .ui-draggable-dragging .fc-event-bg, .fc-select-helper .fc-event-bg {
    display: none;
}

.fc-event-vert .ui-resizable-s {
    bottom: 0 !important;
}

/*New enhancements to calender*/

.modal-guts {
    padding: 25px;
}

.divcaldatespan {
    position: absolute;
    width: 100%;
    height: 10px;
}

    .divcaldatespan > h3 { /*Change HTML to H4*/
        font-size: 16px;
        font-weight: 600;
        line-height: 1.13;
    }

#calendar {
    margin: 50px auto;
    margin-bottom: 10px;
}

/*fullcalendar.min.css override*/
.fc .fc-toolbar > * > * {
    margin-left: 0 !Important;
}

@media only screen and (min-width:700px) {
    .fc .btn {
        padding: 10px;
        height: auto;
    }
}

.fc .btn {
    line-height: 1.2em;
    margin-left: .75em;
    width: auto !important;
}

.fc-prev-button {
    min-width: 50px;
}

.fc-next-button {
    min-width: 50px;
}

.fc-center > h2 { /*Change to H3*/
    height: 25px;
    font-size: 22px;
}

.fc-list-heading {
    background-color: #dddddd;
}

/*Remove card class from HTML*/
@media only screen and (min-width: 700px) {
    .fc-view-container > .card {
        padding: 0;
    }
}

.fc-view-container > .card {
    padding: 0;
}

/*Table borders*/
.fc-list-table td {
    border: 1px #dddddd;
    padding: 8px 14px;
    border-top: 1px;
    border-left: 1px;
    border-color: #dddddd;
}

.fc table {
    margin-bottom: 0;
}

.fc-toolbar.fc-header-toolbar {
    margin-bottom: 10px;
}

.fc-list-view {
    border-color: #dddddd;
}

/*Modal Buttons*/
/*@media only screen and (min-width: 700px){
	#sigbookvenuenow{
    	min-width: 873.9px;
	}
}

@media only screen and (min-width: 700px){
	#cancelbutton{
    	min-width: 873.9px;
	}
}*/

.fc .fc-row .fc-content-skeleton table, .fc .fc-row .fc-content-skeleton td, .fc .fc-row .fc-helper-skeleton td {
    border-color: #dddddd !Important;
}

.fc td.fc-today {
    border-style: solid !important;
}

.fc td {
    border-style: solid !Important;
    border-width: 1px;
    padding: 0;
    vertical-align: top;
}
/*override global issue */
table td:last-child, table th:last-child {
    border-right: 0 !Important;
}